# IncludeLibrary_server_interface.h File Reference

`#include <signal.h>`
`#include <IncludeLibrary_typedef.h>`

## Defines

#define | __server_API
#define | __Engine_API

## Functions

int __server_API | srv_error (int NUMLNK, PSTATUS status)
int __server_API | srv_init (PSTART_SERVER start_serpc, void *param, char *nodloc, int phyadr[])
int __Engine_API | srv_receiving (int NUMLNK, int seqbyt, int *BUFACP, int lg_func, PSRV_RSP rpc_hdle, void *, PSTATUS status)
int __server_API | srv_status (char *msg, int param, PSTATUS rpc_status, int LEN, char *msga)

## Define Documentation

#define __Engine_API

#define __server_API

## Function Documentation

int __server_API srv_error | ( | int | NUMLNK,
|  | PSTATUS | status
| ) |

int __server_API srv_init | ( | PSTART_SERVER | start_serpc,
|  | void * | param,
|  | char * | nodloc,
|  | int | phyadr[]
| ) |

int __Engine_API srv_receiving | ( | int | NUMLNK,
|  | int | seqbyt,
|  | int * | BUFACP,
|  | int | lg_func,
|  | PSRV_RSP | rpc_hdle,
|  | void * | ,
|  | PSTATUS | status
| ) |

int __server_API srv_status | ( | char * | msg,
|  | int | param,
|  | PSTATUS | rpc_status,
|  | int | LEN,
|  | char * | msga
| ) |